| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DataHolderHelper Class Reference

`#include <Token.hpp>`

## Static Public Member Functions

static std::string * | find_property_value (DataHolder &data_holder, const std::string &name)
static const std::string * | find_property_value (const DataHolder &data_holder, const std::string &name)
static Property * | find_property (DataHolder &data_holder, const std::string &name)
static const Property * | find_property (const DataHolder &data_holder, const std::string &name)
static std::vector< uint8_t > * | find_binary_property_value (DataHolder &data_holder, const std::string &name)
static const std::vector< uint8_t > * | find_binary_property_value (const DataHolder &data_holder, const std::string &name)
static BinaryProperty * | find_binary_property (DataHolder &data_holder, const std::string &name)
static const BinaryProperty * | find_binary_property (const DataHolder &data_holder, const std::string &name)
static size_t | serialized_size (const DataHolder &data_holder, size_t current_alignment=0)
static size_t | serialized_size (const DataHolderSeq &data_holders, size_t current_alignment=0)

## Member Function Documentation

## ◆ find_binary_property() [1/2]

const BinaryProperty * find_binary_property | ( | const DataHolder & | data_holder,
|  | const std::string & | name )

static

## ◆ find_binary_property() [2/2]

BinaryProperty * find_binary_property | ( | DataHolder & | data_holder,
|  | const std::string & | name )

static

## ◆ find_binary_property_value() [1/2]

const std::vector< uint8_t > * find_binary_property_value | ( | const DataHolder & | data_holder,
|  | const std::string & | name )

static

## ◆ find_binary_property_value() [2/2]

std::vector< uint8_t > * find_binary_property_value | ( | DataHolder & | data_holder,
|  | const std::string & | name )

static

## ◆ find_property() [1/2]

const Property * find_property | ( | const DataHolder & | data_holder,
|  | const std::string & | name )

static

## ◆ find_property() [2/2]

Property * find_property | ( | DataHolder & | data_holder,
|  | const std::string & | name )

static

## ◆ find_property_value() [1/2]

const std::string * find_property_value | ( | const DataHolder & | data_holder,
|  | const std::string & | name )

static

## ◆ find_property_value() [2/2]

std::string * find_property_value | ( | DataHolder & | data_holder,
|  | const std::string & | name )

static

## ◆ serialized_size() [1/2]

size_t serialized_size | ( | const DataHolder & | data_holder,
|  | size_t | current_alignment = 0 )

static

## ◆ serialized_size() [2/2]

size_t serialized_size | ( | const DataHolderSeq & | data_holders,
|  | size_t | current_alignment = 0 )

static

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/Token.hpp